PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::thermal::tstatic::ThermalFem2DSolver< Geometry2DType >::ThermalConductivityData Struct Reference

`#include <solvers/thermal/static/therm2d.hpp>`

Inheritance diagram for plask::thermal::tstatic::ThermalFem2DSolver< Geometry2DType >::ThermalConductivityData:
[legend]
Collaboration diagram for plask::thermal::tstatic::ThermalFem2DSolver< Geometry2DType >::ThermalConductivityData:
[legend]

## Public Member Functions
| ThermalConductivityData (const ThermalFem2DSolver *solver, const shared_ptr< const MeshD< 2 > > &dst_mesh)
Tensor2< double > | at (std::size_t i) const override
| Get index-th value from vector.
std::size_t | size () const override
| Get the number of elements in this vector.
Public Member Functions inherited from plask::LazyDataImpl< Tensor2< double > >
virtual | ~LazyDataImpl ()
virtual DataVector< const Tensor2< double > > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< Tensor2< double > > | claim () const

## Public Attributes
const ThermalFem2DSolver * | solver
shared_ptr< const MeshD< 2 > > | dest_mesh
InterpolationFlags | flags
LazyData< double > | temps

## Additional Inherited Members
Public Types inherited from plask::LazyDataImpl< Tensor2< double > >
typedef Tensor2< double > | CellType

## Detailed Description

template<typename Geometry2DType>
struct plask::thermal::tstatic::ThermalFem2DSolver< Geometry2DType >::ThermalConductivityData

Definition at line 101 of file therm2d.hpp.

## Constructor & Destructor Documentation

## ◆ ThermalConductivityData()

template<typename Geometry2DType >

plask::thermal::tstatic::ThermalFem2DSolver< Geometry2DType >::ThermalConductivityData::ThermalConductivityData | ( | const ThermalFem2DSolver * | solver,
|  | const shared_ptr< const MeshD< 2 > > & | dst_mesh
| ) |  |

Definition at line 572 of file therm2d.cpp.

## Member Function Documentation

## ◆ at()

template<typename Geometry2DType >

Tensor2< double > plask::thermal::tstatic::ThermalFem2DSolver< Geometry2DType >::ThermalConductivityData::at | ( | std::size_t | index | ) | const
| override virtual

Get index-th value from vector.

Parameters

  index | should be a value from 0 to size()-1

Returns
  index-th value from vector

Implements plask::LazyDataImpl< Tensor2< double > >.

Definition at line 580 of file therm2d.cpp.

## ◆ size()

template<typename Geometry2DType >

std::size_t plask::thermal::tstatic::ThermalFem2DSolver< Geometry2DType >::ThermalConductivityData::size | ( |  | ) | const
| override virtual

Get the number of elements in this vector.

Returns
  the number of elements in this vector

Implements plask::LazyDataImpl< Tensor2< double > >.

Definition at line 596 of file therm2d.cpp.

## Member Data Documentation

## ◆ dest_mesh

template<typename Geometry2DType >

shared_ptr<const MeshD<2> > plask::thermal::tstatic::ThermalFem2DSolver< Geometry2DType >::ThermalConductivityData::dest_mesh

Definition at line 103 of file therm2d.hpp.

## ◆ flags

template<typename Geometry2DType >

InterpolationFlags plask::thermal::tstatic::ThermalFem2DSolver< Geometry2DType >::ThermalConductivityData::flags

Definition at line 104 of file therm2d.hpp.

## ◆ solver

template<typename Geometry2DType >

const ThermalFem2DSolver* plask::thermal::tstatic::ThermalFem2DSolver< Geometry2DType >::ThermalConductivityData::solver

Definition at line 102 of file therm2d.hpp.

## ◆ temps

template<typename Geometry2DType >

LazyData<double> plask::thermal::tstatic::ThermalFem2DSolver< Geometry2DType >::ThermalConductivityData::temps

Definition at line 105 of file therm2d.hpp.

The documentation for this struct was generated from the following files:

- solvers/thermal/static/therm2d.hpp
- solvers/thermal/static/therm2d.cpp